<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class TwoFactorResetNotification extends Notification implements ShouldQueue
{
    use Queueable;

    public function __construct()
    {
    }

    public function via($notifiable): array
    {
        return ['mail'];
    }

    public function toMail($notifiable): MailMessage
    {
        return (new MailMessage)
            ->from(config('notification.sender.address'), config('notification.sender.name'))
            ->subject(config('app.name').' - your second factor has been reset')
            ->markdown('mail.two-factor-reset', ['name' => $notifiable->name]);
    }

    public function toArray($notifiable): array
    {
        return [];
    }
}
